--------------------------------------------------------------------------------
-- Copyright (c) 1995-2013 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____
--  /   /\/   /
-- /___/  \  /    Vendor: Xilinx
-- \   \   \/     Version: P.20131013
--  \   \         Application: netgen
--  /   /         Filename: and1_synthesis.vhd
-- /___/   /\     Timestamp: Tue Apr 01 20:55:21 2014
-- \   \  /  \ 
--  \___\/\___\
--             
-- Command	: -intstyle ise -ar Structure -tm and1 -w -dir netgen/synthesis -ofmt vhdl -sim and1.ngc and1_synthesis.vhd 
-- Device	: xc3s400-5-pq208
-- Input file	: and1.ngc
-- Output file	: G:\darsi\term1\vhdl\test3\netgen\synthesis\and1_synthesis.vhd
-- # of Entities	: 1
-- Design Name	: and1
-- Xilinx	: C:\Xilinx\14.7\ISE_DS\ISE\
--             
-- Purpose:    
--     This VHDL netlist is a verification model and uses simulation 
--     primitives which may not represent the true implementation of the 
--     device, however the netlist is functionally correct and should not 
--     be modified. This file cannot be synthesized and should only be used 
--     with supported simulation tools.
--             
-- Reference:  
--     Command Line Tools User Guide, Chapter 23
--     Synthesis and Simulation Design Guide, Chapter 6
--             
--------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
use UNISIM.VPKG.ALL;

entity and1 is
  port (
    a : in STD_LOGIC := 'X'; 
    b : in STD_LOGIC := 'X'; 
    x : out STD_LOGIC 
  );
end and1;

architecture Structure of and1 is
  signal a_IBUF_1 : STD_LOGIC; 
  signal b_IBUF_3 : STD_LOGIC; 
  signal x_OBUF_5 : STD_LOGIC; 
begin
  x1 : LUT2
    generic map(
      INIT => X"8"
    )
    port map (
      I0 => a_IBUF_1,
      I1 => b_IBUF_3,
      O => x_OBUF_5
    );
  a_IBUF : IBUF
    port map (
      I => a,
      O => a_IBUF_1
    );
  b_IBUF : IBUF
    port map (
      I => b,
      O => b_IBUF_3
    );
  x_OBUF_4 : OBUF
    port map (
      I => x_OBUF_5,
      O => x
    );

end Structure;

